Commet
  • Precios
Iniciar SesiónRegistrarse
Get transaction GETList transactions GETRefund transaction POSTRetry transaction POST
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Retry transaction

Retry a failed payment transaction. Creates a new invoice and initiates a new payment attempt.

Refund transaction POST

Issue a full refund for a payment transaction.

Check usage availability POST

Check if a customer can consume a feature before actual consumption. Returns availability and cost estimates based on the plan's consumption model.

POST
/transactions/{id}/retry

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://commet.co/api/v1/transactions/string/retry"

Retry a failed payment transaction. Creates a new invoice and initiates a new payment attempt.

Transaction public ID

{
  "success": true,
  "data": {
    "id": "string",
    "status": "processing",
    "retryInvoiceNumber": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}